Subject: RE: rm -rf -> Circular directory structure
From: [email-masked] ("Igor V. Kovalenko")

11 Aug 1997 17:48:49 -0700
Approved: [email-masked]
Distribution: cygnus
Message-ID: <[email-masked]>
Mime-Version: 1.0
Content-Type: text/plain; charset=us-ascii
Content-Transfer-Encoding: 7bit
X-Mailer: Mozilla 4.01 [en] (WinNT; I)
Original-To: [email-masked]
X-Priority: 3 (Normal)
Original-Sender: [email-masked]

Looking at ...include/sys/types.h I found that ino_t is actually
unsigned short, that is only 16 bit in size. Thus, we (in 'rm' etc..)
do compare the lower 16 bits of prepared by hash_path_name()
32-bit integer.
  I think this is a main cause for $subj$, though the hashing
function itself is not as perfect as it could be (in theory).

PS: Or do I have incorrect header file?
--
Igor V. Kovalenko   mailto:[email-masked]
-
For help on using this list (especially unsubscribing), send a message to
"[email-masked]" with one line of text: "help".